package com.sy.coinage.sys.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import java.util.List;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 菜单表实体类
 */
@Data
@EqualsAndHashCode(callSuper = false)

@TableName("sys_menu")
// @ApiModel(value = "部门对象", description = "部门")
public class Menu implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 自增主键 -10
     */
    @ApiModelProperty(value = "自增主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 状态 1可用 2禁用 -3
     */
    @ApiModelProperty(value = "状态 1可用 2禁用")
    @TableField(value = "status")
    private Integer status;

    /**
     * 菜单树隐藏标记 1是 0否 -3
     */
    @ApiModelProperty(value = "菜单树隐藏标记 1是 0否")
    @TableField(value = "hide_menu")
    private Boolean hideMenu;

    /**
     * 排序 -5
     */
    @ApiModelProperty(value = "排序")
    @TableField(value = "sorted")
    private Integer sorted;

    /**
     * 父id -10
     */
    @ApiModelProperty(value = "父id")
    @TableField(value = "pid")
    private Integer pid;

    /**
     * 名称 -10
     */
    @ApiModelProperty(value = "名称")
    @TableField(value = "name")
    private String name;

    /**
     * 图标 -20
     */
    @ApiModelProperty(value = "图标")
    @TableField(value = "icon")
    private String icon;

    /**
     * 标题 -20
     */
    @ApiModelProperty(value = "父级菜单")
    @TableField(value = "title")
    private String title;

    /**
     * 路径 -50
     */
    @ApiModelProperty(value = "父级菜单")
    @TableField(value = "path")
    private String path;

    /**
     * 路由 -50
     */
    @ApiModelProperty(value = "路由")
    @TableField(value = "component")
    private String component;

    /**
     * 跳转 -50
     */
    @ApiModelProperty(value = "跳转")
    @TableField(value = "redirect")
    private String redirect;

    /**
     * 按钮操作权限 -200
     */
    @ApiModelProperty(value = "按钮操作权限")
    @TableField(value = "permission")
    private String permission;

}
