package com.sy.coinage.sys.req;

import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotNull;
import lombok.Data;
import org.hibernate.validator.constraints.Range;

@Data
public class AdminCopyRoleReq extends AdminRoleReq {

    @ApiModelProperty(value = "是否复制权限")
    @NotNull(message = "是否复制权限不能为空")
    @Range(min = 1, max = 2, message = "是否复制权限参数值不正确")
    private Integer copyPermission;

    @ApiModelProperty(value = "原始角色id")
    @NotNull(message = "原始角色id不能为空")
    private Integer roleId;

}
