package com.sy.coinage.sys.req;

import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotBlank;

import org.hibernate.validator.constraints.Length;

import lombok.Data;

/**
 * 图形验证码校验bean
 *
 * @author: lug 2021年6月10日
 */
@Data
public class CheckCaptchaReq {

    @ApiModelProperty(value = "验证码")
    @NotBlank(message = "验证码不能为空")
    @Length(min = 4, max = 8, message = "验证码长度错误")
    private String captcha;

    @ApiModelProperty(value = "验证密钥")
    @NotBlank(message = "验证密钥不能为空")
    private String checkKey;

}
