package com.sy.coinage.sys.vo;

import com.sy.coinage.core.annotation.FastJsonFieldProfile;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;

/**
 * Tenant查询响应bean
 */
@Data
public class TenantVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "id")
    private Integer id;
    /**
     * 状态 1可用 2禁用
     */
    @ApiModelProperty(value = "状态 1可用 2禁用")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "status")
    private Integer status;
    /**
     * 租户名称
     */
    @ApiModelProperty(value = "租户名称")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "name")
    private String name;

    @ApiModelProperty(value = "创建日期")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "create_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "备注")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "remark")
    private String remark;

    @ApiModelProperty(value = "自定义编号")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "code")
    private String code;
}
