package com.sy.coinage.workshop.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import com.sy.coinage.core.annotation.FastJsonFieldProfile;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;

/**
 * -记录每笔出入库流水表(车间出入库记录)实体类
 */
@Data
@EqualsAndHashCode(callSuper = false)

@TableName("rfid_workshop_log")
@ApiModel(value = "记录每笔出入库流水表(车间出入库记录)对象", description = "记录每笔出入库流水表(车间出入库记录)")
public class WorkshopLog implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * -id -10
     */
    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     * -rfid标签值 -12
     */
    @ApiModelProperty(value = "rfid标签值")
    @TableField(value = "rfid")
    private String rfid;
    /**
     * -编号 -20
     */
    @ApiModelProperty(value = "编号")
    @TableField(value = "serial_number")
    private String serialNumber;
    /**
     * -所属部门ID -10
     */
    @ApiModelProperty(value = "所属部门ID")
    @TableField(value = "dept_id")
    private Integer deptId;
    /**
     * -所属部门名称 -10
     */
    @ApiModelProperty(value = "所属部门名称")
    @TableField(value = "dept")
    private String dept;
    /**
     * -绑定的品名ID -10
     */
    @ApiModelProperty(value = "绑定的品名ID")
    @TableField(value = "securities_id")
    private Integer securitiesId;
    /**
     * -品名名称 -20
     */
    @ApiModelProperty(value = "品名名称")
    @TableField(value = "securities")
    private String securities;
    /**
     * -将rfid对应的冠字号范围，拼装成字符串，保存在此字端，用于页面展示 -100
     */
    @ApiModelProperty(value = "将rfid对应的冠字号范围，拼装成字符串，保存在此字端，用于页面展示")
    @TableField(value = "crown_between_str")
    private String crownBetweenStr;
    /**
     * -冠字号范围：@开头的表示冠字号段 #开头的表示各个单独的冠字号（eg:@003-4970,003-5000;）(eg:#003-0005,003-0007) -100
     */
    @ApiModelProperty(value = "冠字号范围：@开头的表示冠字号段 #开头的表示各个单独的冠字号（eg:@003-4970,003-5000;）(eg:#003-0005,003-0007)")
    @TableField(value = "crown_between")
    private String crownBetween;
    /**
     * -皮重(kg) -10
     */
    @ApiModelProperty(value = "皮重(kg)")
    @TableField(value = "tare_weight")
    private Double tareWeight;
    /**
     * -毛重（kg） -10
     */
    @ApiModelProperty(value = "毛重（kg）")
    @TableField(value = "gross_weight")
    private Double grossWeight;
    /**
     * -称重人id -10
     */
    @ApiModelProperty(value = "称重人id")
    @TableField(value = "weightor_id")
    private Integer weightorId;
    /**
     * -称重人 -2
     */
    @ApiModelProperty(value = "称重人")
    @TableField(value = "weightor")
    private String weightor;
    /**
     * -产品称重时间(即打印时间) -19
     */
    @ApiModelProperty(value = "产品称重时间(即打印时间)")
    @TableField(value = "weight_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date weightTime;
    /**
     * -来源地1:主库一2:主库二 3:机台 4:临时库产品库区域 5 临时库剔除品区域 -10
     */
    @ApiModelProperty(value = "来源地1:主库一2:主库二 3:机台 4:临时库产品库区域 5 临时库剔除品区域6 ")
    @TableField(value = "loc_from")
    private Integer locFrom;
    /**
     * -目的地 1:主库一2:主库二 3:机台 4:临时库产品库区域 5 临时库剔除品区域 -10
     */
    @ApiModelProperty(value = "目的地 1:主库一2:主库二 3:机台 4:临时库产品库区域 5 临时库剔除品区域")
    @TableField(value = "loc_to")
    private Integer locTo;
    private String locDept;
    /**
     * -零枚数量 -10
     */
    @ApiModelProperty(value = "零枚数量")
    @TableField(value = "pieces_total")
    private Integer piecesTotal;
    /**
     * -操作人ID -10
     */
    @ApiModelProperty(value = "操作人ID")
    @TableField(value = "operator_id")
    private Integer operatorId;
    /**
     * -操作人 -20
     */
    @ApiModelProperty(value = "操作人")
    @TableField(value = "operator_cn")
    private String operatorCn;
    /**
     * -复核人ID -10
     */
    @ApiModelProperty(value = "复核人ID")
    @TableField(value = "check_id")
    private Integer checkId;
    /**
     * -复核人姓名 -20
     */
    @ApiModelProperty(value = "复核人姓名")
    @TableField(value = "checker")
    private String checker;
    /**
     * -创建时间 -19
     */
    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * -操作类型： 1:机台入产成品库（机台->成品）（车间入库） 2.机台入剔除品库（机台->剔除品）（车间入库） 3.车间成品库到主库（成品->主库）(解缴出库)
     * 4.返检入剔除品库（主库->剔除品）（返检红冲） 5 抽检入剔除品库（主库->剔除品）（抽检入库） 6.抽检上机台（剔除品->机台）(抽检出库)
     * 7.抽检入车间成品库(机台->成品)（抽检入库） 8.抽检出成品库（成品-> 主库）（抽检出库） 9:车间产品库入剔除品库（成品->剔除品）（车间内部迁移）
     * 10. 内部出库（剔除品->机台）
     */
    @ApiModelProperty(
            value = "操作类型： 1:机台入产成品库（机台->成品）（车间入库） 2.机台入剔除品库（机台->剔除品）（车间入库）3.车间成品库到主库（成品->主库）(解缴出库)  4.返检入剔除品库（主库->剔除品）（返检红冲） 5抽检入剔除品库（主库->剔除品）（抽检入库）  6.抽检上机台（剔除品->机台）(抽检出库) 7.抽检入车间成品库(机台->成品)（抽检入库） 8.抽检出成品库（成品-> 主库）（抽检出库）  9:车间产品库入剔除品库（成品->剔除品）（车间内部迁移）")
    @TableField(value = "op_type")
    private Integer opType;

    @ApiModelProperty(value = "零箱数")
    @TableField(value = "box_num")
    private Integer boxNum;

}
