package com.sy.coinage.workshop.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;

@Data
public class BoxNumReq {

    @ApiModelProperty(value = "ID")
    private Integer id;

    @ApiModelProperty(value = "品名ID", required = true)
    @NotNull(message = "品名不能为空")
    private Integer securitiesId;

    @ApiModelProperty(value = "数量（万枚）", required = true)
    @NotNull(message = "数量不能为空")
    private Integer qty;

    @ApiModelProperty(value = "首箱冠字号(根据首箱冠字号，与首拍箱数)", required = true)
    @Length(max = 20, message = "首箱冠字号(根据首箱冠字号，与首拍箱数)长度不正确,最大长度20字符")
    private String firstCrown;

    @ApiModelProperty(value = "首拍编号", required = true)
    @Length(max = 20, message = "首拍编号长度不正确,最大长度20字符")
    private String firstSerialNumber;

    @ApiModelProperty(value = "首拍箱数(根据首拍箱数)", required = true)
    private Integer firstBoxNum;

    @ApiModelProperty(value = "开始跳号ID字符串（多个用逗号分割），冗余字段")
    @Length(max = 20, message = "开始跳号长度不正确,最大长度20字符")
    private String startIds;

    @ApiModelProperty(value = "结束跳号id字符串（多ID用逗号分割）冗余字段", required = true)
    @Length(max = 20, message = "结束跳号长度不正确,最大长度20字符")
    private String endIds;

    @ApiModelProperty(value = "按新号排列 1是 2否")
    @NotNull(message = "是否按新号排列不能为空")
    private Integer resetSerialNumber;

}
