package com.sy.coinage.workshop.req;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import com.sy.coinage.core.req.PageReq;
import lombok.Getter;
import lombok.Setter;

/**
 * -查询请求bean
 */
@Getter
@Setter
public class DeliveryJumpListReq extends PageReq implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "发货计划ID")
    private Integer deliveryPlanId;

    @ApiModelProperty(value = "品名ID")
    private Integer securitiesId;

    @ApiModelProperty(value = "品名")
    private String securities;

    @ApiModelProperty(value = "拍号区间")
    private String serialNumberBetween;

    @ApiModelProperty(value = "起始拍号")
    private String serialNumberStart;

    @ApiModelProperty(value = "结束拍号")
    private String serialNumberEnd;

    @ApiModelProperty(value = "创建时间")
    @JSONField(format = "yyyy-MM-dd")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private String creator;

    @ApiModelProperty(value = "是否启用  1:启用 2:停用")
    private Integer enable;

    @ApiModelProperty(value = "生命周期状态: 0:初始创建 1:（开始跳号）跳号中 2:结束跳号")
    private Integer status;

}
