package com.sy.coinage.workshop.req;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

import com.sy.coinage.workshop.req.vo.SerialNumberVO;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

import lombok.Data;

/**
 * -车间入库单（仅记录入库单，及返检单）添加请求bean
 */
@Data
public class WorkshopEntryReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "品名ID", required = true)
    @NotNull(message = "品名ID不能为空")
    private Integer securitiesId;

    @ApiModelProperty(value = "整拍子数量", required = true)
    @NotNull(message = "整拍子数量不能为空")
    private Integer racketNum;

    @ApiModelProperty(value = "零箱数")
    private Integer boxNum;

    @ApiModelProperty(value = "零枚数量")
    private Integer piecesTotal;

    @ApiModelProperty(value = "零箱冠字号起始值")
    private String crownFrom;

    @ApiModelProperty(value = "零箱冠字号结束值")
    private String crownTo;

    @ApiModelProperty(value = "checkId", required = true)
    @NotNull(message = "checkId不能为空")
    private Integer checkId;

    @ApiModelProperty(value = "临时库id")
    private Integer wareId;

    @ApiModelProperty(value = "扫描的rfid列表")
    private List<@Valid SerialNumberVO> autoLs;

    @ApiModelProperty(value = "手动录入rfid列表")
    private List<@Valid SerialNumberVO> manualLs;

}
