package com.sy.coinage.workshop.vo;

import com.sy.coinage.core.annotation.FastJsonFieldProfile;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;

/**
 * CheckDetail查询响应bean
 */
@Data
public class CheckDetailVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * -id
     */
    @ApiModelProperty(value = "id")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "id")
    private Integer id;
    /**
     * -抽检ID
     */
    @ApiModelProperty(value = "抽检ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "check_id")
    private Integer checkId;
    /**
     * -rfid
     */
    @ApiModelProperty(value = "rfid")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "rfid")
    private String rfid;
    /**
     * -产品编号
     */
    @ApiModelProperty(value = "产品编号")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "serial_number")
    private String serialNumber;
    /**
     * -初始创建的冠字号列表
     */
    @ApiModelProperty(value = "初始创建的冠字号列表")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "ware_init_list")
    private String wareInitList;
    /**
     * -车间接收主库入库的时间
     */
    @ApiModelProperty(value = "车间接收主库入库的时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "shop_receive_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date shopReceiveTime;
    /**
     * -车间抽检单操作人
     */
    @ApiModelProperty(value = "车间抽检单操作人")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "shop_receive_oper_cn")
    private String shopReceiveOperCn;
    /**
     * -车间抽检单复核人
     */
    @ApiModelProperty(value = "车间抽检单复核人")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "shop_receive_check")
    private String shopReceiveCheck;
    /**
     * -车间接收主库的冠字号列表
     */
    @ApiModelProperty(value = "车间接收主库的冠字号列表")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "shop_receive_list")
    private String shopReceiveList;
    /**
     * -车间剔除品库出库到机台
     */
    @ApiModelProperty(value = "车间剔除品库出库到机台")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "shop_out_machine_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date shopOutMachineTime;
    /**
     * -shopOutMachineOperCn
     */
    @ApiModelProperty(value = "shopOutMachineOperCn")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "shop_out_machine_oper_cn")
    private String shopOutMachineOperCn;
    /**
     * -shopOutMachineCheck
     */
    @ApiModelProperty(value = "shopOutMachineCheck")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "shop_out_machine_check")
    private String shopOutMachineCheck;
    /**
     * -剔除品出库到机台的箱子列表
     */
    @ApiModelProperty(value = "剔除品出库到机台的箱子列表")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "shop_out_machine_list")
    private String shopOutMachineList;
    /**
     * -机台到临时库产成品库位时间
     */
    @ApiModelProperty(value = "机台到临时库产成品库位时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "shop_in_pro_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date shopInProTime;
    /**
     * -shopInProOperCn
     */
    @ApiModelProperty(value = "shopInProOperCn")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "shop_in_pro_oper_cn")
    private String shopInProOperCn;
    /**
     * -车间机台进成品库复核员
     */
    @ApiModelProperty(value = "车间机台进成品库复核员")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "shop_in_pro_check")
    private String shopInProCheck;
    /**
     * -车间机台进车间抽检箱子列表
     */
    @ApiModelProperty(value = "车间机台进车间抽检箱子列表")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "shop_in_pro_list")
    private String shopInProList;
    /**
     * -抽检车间出库确认时间
     */
    @ApiModelProperty(value = "抽检车间出库确认时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "shop_out_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date shopOutTime;
    /**
     * -车间出库操作人
     */
    @ApiModelProperty(value = "车间出库操作人")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "shop_out_oper_cn")
    private String shopOutOperCn;
    /**
     * -车间出库复核人
     */
    @ApiModelProperty(value = "车间出库复核人")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "shop_out_check")
    private String shopOutcheck;
    /**
     * -抽检车间出库返回主库列表
     */
    @ApiModelProperty(value = "抽检车间出库返回主库列表")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "shop_out_list")
    private String shopOutList;
    /**
     * -wareInTime
     */
    @ApiModelProperty(value = "wareInTime")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "ware_in_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date wareInTime;
    /**
     * -wareInOperCn
     */
    @ApiModelProperty(value = "wareInOperCn")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "ware_in_oper_cn")
    private String wareInOperCn;
    /**
     * -wareInCheck
     */
    @ApiModelProperty(value = "wareInCheck")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "ware_in_check")
    private String wareInCheck;
    /**
     * -wareInList
     */
    @ApiModelProperty(value = "wareInList")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "ware_in_list")
    private String wareInList;
}
