package com.sy.coinage.workshop.vo;

import com.sy.coinage.core.annotation.FastJsonFieldProfile;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;

/**
 * DeliveryPlanDetail响应bean
 */
@Data
public class DeliveryPlanDetailVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "id")
    private Integer id;
    @ApiModelProperty(value = "发货计划ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "plan_id")
    private Integer planId;
    @ApiModelProperty(value = " rfid:冗余字段:分配计划时，还没有rfid.")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "rfid")
    private String rfid;
    @ApiModelProperty(value = "编号")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "serial_number")
    private String serialNumber;
    @ApiModelProperty(value = "冠字号号段字符串（eg:佰21伍003-0921-佰21伍003-0980）")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "crown_between_str")
    private String crownBetweenStr;
    @ApiModelProperty(value = "拍子类型1:整拍 2: 前  3:后(由拍子类型、数量决定拍子取的箱子)")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "type")
    private Integer type;
    @ApiModelProperty(value = "箱子数量")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "qty")
    private Integer qty;
    @ApiModelProperty(value = "皮重")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "tare_weight")
    private Double tareWeight;
    @ApiModelProperty(value = "毛重")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "gross_weight")
    private Double grossWeight;
    @ApiModelProperty(value = "称重人ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "weightor_id")
    private Integer weightorId;
    @ApiModelProperty(value = "称重人")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "weightor")
    private String weightor;
    @ApiModelProperty(value = "打印时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "print_time")
    @JSONField(format = "yyyy-MM-dd")
    private Date printTime;
    @ApiModelProperty(value = "冠字号起始号（eg:003-2121）")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "crown_from")
    private String crownFrom;
    @ApiModelProperty(value = "冠字号结束号(eg:003-2121）")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "crown_to")
    private String crownTo;
}
