package com.sy.coinage.workshop.vo;

import com.sy.coinage.core.annotation.FastJsonFieldProfile;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;

/**
 * ScanLog查询响应bean
 */
@Data
public class ScanLogVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * -id
     */
    @ApiModelProperty(value = "id")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "id")
    private Integer id;
    /**
     * -rfid
     */
    @ApiModelProperty(value = "rfid")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "rfid")
    private String rfid;
    /**
     * -物料编号
     */
    @ApiModelProperty(value = "物料编号")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "serial_number")
    private String serialNumber;
    /**
     * -质量标识 1:无质量问题 2:有质量问题
     */
    @ApiModelProperty(value = "质量标识 1:无质量问题 2:有质量问题")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "is_quality")
    private Integer isQuality;
    /**
     * -是否为整拍 1:整拍 2: 拆拍
     */
    @ApiModelProperty(value = "是否为整拍 1:整拍 2: 拆拍")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "is_whole")
    private Integer isWhole;
    /**
     * -拆拍的箱子数量
     */
    @ApiModelProperty(value = "拆拍的箱子数量")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "qty")
    private Integer qty;
    /**
     * -冠字号前缀
     */
    @ApiModelProperty(value = "冠字号前缀")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "crown_prefix")
    private String crownPrefix;
    /**
     * -扫描时间
     */
    @ApiModelProperty(value = "扫描时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "created")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date created;
    /**
     * -仓库编号:101:造币一部临时库 102:造币二部临时库103:造币三部临时库 201:主库一 202 主库二 （同一主库下的分库）
     */
    @ApiModelProperty(value = "仓库编号:101:造币一部临时库 102:造币二部临时库103:造币三部临时库  201:主库一 202 主库二 （同一主库下的分库）")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "ware_id")
    private String wareId;
    /**
     * -操作类型: 2 入库 3 出库
     */
    @ApiModelProperty(value = "操作类型: 2 入库 3 出库")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "op_type")
    private Integer opType;
    /**
     * -1:扫描正常 2:扫描异常（没在基本信息表的rfid）
     */
    @ApiModelProperty(value = "1:扫描正常 2:扫描异常（没在基本信息表的rfid）")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "status")
    private Integer status;
    /**
     * -品种
     */
    @ApiModelProperty(value = "品种")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "securities")
    private String securities;
    /**
     * -品种ID
     */
    @ApiModelProperty(value = "品种ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "securities_id")
    private Integer securitiesId;
}
