package com.sy.coinage.workshop.vo;

import com.sy.coinage.core.annotation.FastJsonFieldProfile;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;

/**
 * WorkshopEntryDetail查询响应bean
 */
@Data
public class WorkshopEntryDetailVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * -id
     */
    @ApiModelProperty(value = "id")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "id")
    private Integer id;
    /**
     * -入库单ID
     */
    @ApiModelProperty(value = "入库单ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "entry_id")
    private Integer entryId;
    /**
     * -明细类型（每个拍子一条记录；零箱,零枚可能有一条记录） 1: 整拍 2: 零箱 3:零枚
     */
    @ApiModelProperty(value = "明细类型（每个拍子一条记录；零箱,零枚可能有一条记录） 1: 整拍 2: 零箱 3:零枚")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "type")
    private Integer type;
    /**
     * -rfidEPC码:唯一对应
     */
    @ApiModelProperty(value = "rfidEPC码:唯一对应")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "rfid")
    private String rfid;
    /**
     * -编号
     */
    @ApiModelProperty(value = "编号")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "serial_number")
    private String serialNumber;
    /**
     * -皮重
     */
    @ApiModelProperty(value = "皮重")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "tare_weight")
    private Double tareWeight;
    /**
     * -毛重
     */
    @ApiModelProperty(value = "毛重")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "gross_weight")
    private Double grossWeight;
    /**
     * -称重人id
     */
    @ApiModelProperty(value = "称重人id")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "weightor_id")
    private Integer weightorId;
    /**
     * -称重人
     */
    @ApiModelProperty(value = "称重人")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "weightor")
    private String weightor;
    /**
     * -称重时间戳(yyyy-mm-dd hh24:mm:ss),封包线传递过来的称重打印时间
     */
    @ApiModelProperty(value = "称重时间戳(yyyy-mm-dd hh24:mm:ss),封包线传递过来的称重打印时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "weight_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date weightTime;
    /**
     * -将rfid对应的冠字号范围，拼装成字符串，保存在此字端，用于页面展示
     */
    @ApiModelProperty(value = "将rfid对应的冠字号范围，拼装成字符串，保存在此字端，用于页面展示")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "crown_between_str")
    private String crownBetweenStr;
    /**
     * -冠字号范围：@开头的表示冠字号段 #开头的表示各个单独的冠字号（eg:@003-4970,003-5000;）(eg:#003-0005,003-0007)
     */
    @ApiModelProperty(value = "冠字号范围：@开头的表示冠字号段 #开头的表示各个单独的冠字号（eg:@003-4970,003-5000;）(eg:#003-0005,003-0007)")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "crown_between")
    private String crownBetween;
    /**
     * -容器数量（拍子就是1，零箱的就是多少箱）
     */
    @ApiModelProperty(value = "容器数量（拍子就是1，零箱的就是多少箱）")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "qty")
    private Integer qty;
    /**
     * -枚数总数
     */
    @ApiModelProperty(value = "枚数总数")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "qty_total")
    private Integer qtyTotal;
    /**
     * -车间内部状态：1.处于产成品库 2.处于剔除品库 3.上机台4.发往主库
     */
    @ApiModelProperty(value = "车间内部状态：1.处于产成品库 2.处于剔除品库 3.上机台4.发往主库")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "status")
    private Integer status;
    /**
     * -临时库库位ID
     */
    @ApiModelProperty(value = "临时库库位ID ")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "area_id")
    private Integer areaId;
}
